Subject: Re: TCP MD5 connections get stuck with IPV6 mapped listener

From: John Dykstra <[email-masked]>
Date: Thu, 16 Jul 2009 02:40:21 +0000

On Wed, 2009-07-15 at 12:11 -0700, Stephen Hemminger wrote:

> While investigating some TCP MD5 issues, with BGP, broke things
> up into a simple test program found that
> if server is listening on IPV6 for TCP with MD5 key
> and client connects with IPV4 MD5 key, the connection gets stuck after
> the initial SYN-SENT, SYN-ACK.

Stephen, I put a patch out on a separate thread "[PATCH] tcp: Fix MD5
signature checking on IPv4 mapped sockets."

I tested the obvious cases using your excellent tool, but I don't have
the infrastructure for complete testing.  I expect you do.
-- 
John Dykstra
voice:           +1 651 484-1098            Yahoo IM:  jdykstra72

LinkedIn:        http://www.linkedin.com/in/JohnDykstra
Blog:            http://johndykstra.blogspot.com/